Skip to main content
Create source

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_slug
string
required

URL-friendly workspace identifier

Example:

"acme"

Body

application/json
type
enum<string>
required

Database engine

Available options:
postgres,
mysql,
bigquery,
snowflake,
redshift,
mssql,
oracle,
sqlite,
duckdb
name
string
required
credentials
object

Connection credentials (engine-specific)

wide_table
boolean
default:false

Response

Created source

source_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

workspace_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

type
string

Database engine type

Example:

"postgres"

name
string
status
enum<string>
Available options:
active,
inactive,
error,
pending
wide_table
boolean
managed
boolean
auto_created
boolean
private
boolean
credentials
object
Last modified on July 23, 2026